﻿using Automaise.Core;
using System;
using System.Collections.Generic;

namespace CovidEuropeProjectBase
{
    public class CovidEuropeProjectEnv
    {
        static private volatile CovidEuropeProjectEnv envSettings;

        public Dictionary<EnvironmentType, string> CUSTOM_PARTS_ENVIRONMENTS = new Dictionary<EnvironmentType, string>();

        private static object envRoot = new Object();

        public static CovidEuropeProjectEnv Settings
        {
            get
            {
                if (envSettings == null)
                {
                    lock (envRoot)
                    {
                        envSettings = new CovidEuropeProjectEnv();
                    }
                }
                return envSettings;
            }
        }

        public CovidEuropeProjectEnv()
        {
            CUSTOM_PARTS_ENVIRONMENTS.Add(EnvironmentType.Local, "http://localhost:4200/");
            CUSTOM_PARTS_ENVIRONMENTS.Add(EnvironmentType.QA, "https://webparts.ngrok.io/#/");
            CUSTOM_PARTS_ENVIRONMENTS.Add(EnvironmentType.Staging, null);
            CUSTOM_PARTS_ENVIRONMENTS.Add(EnvironmentType.CICD, "https://webparts.qa.automaise.com/#/");
            CUSTOM_PARTS_ENVIRONMENTS.Add(EnvironmentType.Live, "https://webparts.automaise.com/#/");
        }
    }
}