namespace CovidEuropeProjectConnector.Localizations
{ 
	public abstract class BaseCovidEuropeProjectLoc_EN : ICovidEuropeProjectLocalization
    {
		public string SCREENING { get { return "Screening"; } }

        public string RECOMENDATIONS { get { return "Recommendations"; } }

        public string BEGINSCREENING { get { return "We are now going to start a small screening questionnaire."; } }

        public string ENTERAGE { get { return "Please begin by stating your age:"; } }

        public string INVALIDAGE { get { return "Invalid age"; } }

        public string ALTEREDCONSCIENCE { get { return "Do you feel confused or do you have difficulty organizing your thoughts?"; } }

        public string TROUBLEBREATHING { get { return "Any shortness of breath or any feeling that you run out of air?"; } }

        public string TROUBLEBREATHINGSCALE { get { return "Please state the sentence that best matches your sensation of having trouble breathing"; } }

        public string CONTACTDAYS { get { return "How many days ago did the last contact occur?"; } }

        public string INVALIDCONTACTDAYS { get { return "Invalid number of days!"; } }

        public string COUGHING { get { return "Do you have persistent cough or worsening of chronic cough?"; } }

        public string COUGHINGBLOOD { get { return "Did you have any episode of sputum with blood?"; } }

        public string COUGHINGINTERFERENCE { get { return "Does cough interfere with sleep or physical activities?"; } }

        public string DIARRHEA { get { return "Do you have diarrhea (3 or more times per day)?"; } }

        public string FEVER { get { return "Did you have a fever in the past 24 hours (temperature measured in the armpit or ear above 38 Celsius)?"; } }

        public string FEVERMORETHAN2DAYS { get { return "Does the fever persist for more than 48-72 hours or did it reappear after a period of absence of fever?"; } }

        public string ENTERGENDER { get { return "What is your gender?"; } }

        public string SELECTGENDER { get { return "Select gender"; } }

        public string INVALIDGENDER { get { return "Invalid gender"; } }

        public string FEMININE { get { return "Feminine"; } }

        public string MALE { get { return "Male"; } }

        public string PREGNANCY { get { return "Pregnancy"; } }

        public string STEPSYMPTHOMS { get { return "What symptoms do you have?"; } }

        public string GLOBALINTERFERENCE { get { return "From 1 to 10 (where 1 is little interference and 10 is a lot of interference), indicate how much the symptoms you have interfere with your sleep or activities or are annoying."; } }

        public string INVALIDNUMBER { get { return "Invalid Number"; } }

        public string HOMECONDITIONS { get { return "Are you able to isolate yourself at home?\n(1.Phone\n2. Thermometer\n3. Separate bedroom or separate bed or surgical mask\n4. Access to bathroom, individual preference\n5. Water and soap for hand hygiene\n6. Caregiver according to evaluation\n7. Not newborn or pregnant or immunosuppressed\n8. Not living with immunosuppressed or pregnant)"; } }

        public string INFECTEDCONTACT { get { return "Did you have any close contact with someone with a known or strongly suspected diagnosis of COVID-19?"; } }

        public string PERSISTENTVOMIT { get { return "Is vomitting persistent even if only ingesting liquids?"; } }

        public string PREEXISTENTCONDITIONS { get { return "Please let us know of your pre-existing health conditions"; } }

        public string INVALIDCONDITION { get { return "Invalid condition"; } }

        public string SEVEREDIARRHEA { get { return "Severe diarrhea (with blood or prolonged or with signs of dehydration - dry mouth, decreased urinary output, dizziness)?"; } }

        public string SUSPECTCONTACT { get { return "In the past 14 days, did you have contact with any suspicious cases (with symptoms and in quarantine)?"; } }

        public string ENTERSYMPTOMS { get { return "Now, please indicate if you have any of the following additional symptoms"; } }

        public string SELECTSYMPTOMS { get { return "Indicate symptoms"; } }

        public string INVALIDSYMPTOM { get { return "Invalid symptom!"; } }

        public string USERISMINOR { get { return "Please complete the questionnaire accompanied by an adult."; } }

        public string VOMIT { get { return "Are you experiencing vomit?"; } }

        public string NONE { get { return "None"; } }

        public string ACTION { get { return "ACTION"; } }

        public string PREVENTION { get { return "PREVENTION"; } }

        public string MONITORING { get { return "MONITORING"; } }

        public string SCALE { get { return "Scale"; } }

        public string SCALE1 { get { return "No shortness of breath except in the case of intense exercise"; } }

        public string SCALE2 { get { return "Walking fast or going up the stairs causes shortness of breath"; } }

        public string SCALE3 { get { return "Walks slower than others due to shortness of breath"; } }

        public string SCALE4 { get { return "Stops to breathe every 100 meters or after walking a few minutes straight"; } }

        public string SCALE5 { get { return "Too tired to leave the house, to dress or to undress"; } }

        public string COVID19RECOMMENDATIONS { get { return "COVID-19 Recommendations"; } }

        public string RECOMMENDATION1 { get { return "You have no known risk contacts or symptoms suggestive of COVID-19. You should comply with the general recommendations of social distancing, washing your hands frequently and wearing a face covering in enclosed spaces, on public transport and in locations where you can not practice social distancing measures. It is suggested that you repeat this assessment if you develop symptoms or are in close contact with a person infected or possibly infected with COVID-19."; } }

        public string RECOMMENDATION2 { get { return "You have had close contact with a person infected with COVID-19  but the highest risk period has passed (14 days after contact). You should comply with the general recommendations of social distancing, washing your hands frequently and wearing a face covering in enclosed spaces, on public transport and in locations where you can not practice social distancing measures. It is suggested that you repeat this assessment if you develop symptoms or are in close contact with a person infected or possibly infected with COVID-19."; } }

        public string RECOMMENDATION3 { get { return "You should quarantine for a period at least 14 days from the last known contact. Please check the NHS website for guidelines on self-quarantine here: https://www.nhs.uk/conditions/coronavirus-covid-19/self-isolation-and-treatment/when-to-self-isolate-and-what-to-do/ or the NI Department of Health website: https://www.nidirect.gov.uk/articles/coronavirus-covid-19-staying-home-and-self-isolation#toc-0. Should you need isolation note for your employer please contact the Health Authority in your area of residence or contact to your GP. You should not go to your GP surgery for that reason! It is suggested that you repeat this assessment in case of symptoms."; } }

        public string RECOMMENDATION4 { get { return "The symptoms you present are not the most frequently associated with COVID-19. However, if the symptoms are persistent and/or uncomfortable we suggest you contact your GP or the NHS 111 help line. It is suggested that you repeat this assessment in the event of a cough, fever or shortness of breath."; } }

        public string RECOMMENDATION5 { get { return "Although the symptoms you experience are not the most frequently associated with COVID-19, they may also appear in this infection. We suggest that you contact your GP or the NHS 111 help line for a personalized decision about the need for further evaluation."; } }

        public string RECOMMENDATION6 { get { return "You are showing some symptoms associated with COVID-19 so it is advised to apply online to get a free NHS test (swab test) on GOV.UK: https://self-referral.test-for-coronavirus.service.gov.uk/antigen/name or order a postal self-test kit online or call the free phone number 119. You can also find more information here: https://www.nidirect.gov.uk/articles/coronavirus-covid-19-testing-and-contact-tracing. You must comply with home isolation recommendations as suggested on the NHS website or on the following NHS home isolation brochure: (https://assets.publishing.service.gov.uk/government/uploads/system/uploads/attachment_data/file/893191/Easy_read_household_isolation.pdf)."; } }

        public string RECOMMENDATION7 { get { return "Primary health care observation is suggested. Before moving to any treatment centre, it is suggested that you contact your GP nearest health centre for validation of the most suitable location for medical observation - please dial the NHS 111 help line."; } }

        public string RECOMMENDATION8 { get { return "Hospital level observation is suggested. You can either go on your own vehicle to the nearest hospital (if you have your own vehicle). Otherwise, you should be transported by an ambulance - please dial the medical emergency number 999, if this is the case."; } }
        
        public string SCREENINGRESULT { get { return "Screening Result"; } }

        public BaseCovidEuropeProjectLoc_EN()
        {
        }
    }

    public class CovidEuropeProjectEN_locale : BaseCovidEuropeProjectLoc_EN
    {
        public CovidEuropeProjectEN_locale() : base()
        {
        }
    }
}
