
namespace CovidEuropeProjectConnector.Models
{
    public class CovidData
    {
        public string geo_contConfirmed { get; set; }
        public string sympt_breath { get; set; }
        public string sympt_cough { get; set; }
        public string sympt_fever { get; set; }
    }

    public class CovidDataV2
    {
        public int bio_age { get; set; }
        public bool bio_comorbidities { get; set; } = false;
        public int bio_diastolic_blood_pressure { get; set; }
        public int bio_heart_rate { get; set; }
        public bool bio_hemodinamic { get; set; }
        public int bio_o2saturation { get; set; }
        public int bio_sex { get; set; }
        public int bio_systolic_blood_pressure { get; set; }
        public bool clinical_forwarding { get; set; } = false;
        public bool geo_condition_home_isolation { get; set; }
        public GeoContact geo_contact { get; set; }
        public bool sympt_altered_consciouness { get; set; } = false;
        public bool sympt_chest_pain { get; set; } = false;
        public SymptCough sympt_cough { get; set; }
        public int sympt_global_interference { get; set; }
        public bool sympt_headache { get; set; } = false;
        public bool sympt_loss_olfact { get; set; } = false;
        public bool sympt_loss_palate { get; set; } = false;
        public bool sympt_muscle_pain { get; set; } = false;
        public SymptRespiratory sympt_respiratory { get; set; }
        public SymptFever sympt_fever { get; set; }
        public SymptDiarrhea sympt_diarrhea { get; set; }
        public SymptVomit sympt_vomit { get; set; }
    }

    public class GeoContact
    {
        public bool confirmed { get; set; } = false;
        public int days { get; set; }
        public bool hard_suspect { get; set; } = false;
    }

    public class SymptCough
    {
        public bool blood { get; set; } = false;
        public bool interfering { get; set; } = false;
        public bool persistent { get; set; } = false;
    }

    public class SymptFever
    {
        public bool has_fever { get; set; } = false;
        public bool persistent { get; set; } = false;
        public bool reappearing { get; set; } = false;
    }

    public class SymptRespiratory
    {
        public bool breathlessness { get; set; } = false;
        public int frequency { get; set; }
        public int scale_MRC { get; set; }
    }

    public class SymptVomit
    {
        public bool has_vomit { get; set; } = false;
        public bool persistent { get; set; } = false;
    }

    public class SymptDiarrhea
    {
        public bool has_diarrhea { get; set; }
        public bool severe { get; set; }
    }
}

