using Automaise.Core;
using Automaise.Core.Interfaces;
using Automaise.Core.Utils;
using Automaise.Edge;
using System;
using Automaise.Core.Services;
using CovidEuropeProjectEdge.CovidEuropeProject;

namespace CovidEuropeProjectEdge
{
    /// <summary>
    /// GENERATED CODE. DO NOT EDIT.
    /// 
    /// </summary>
    public class CovidEuropeProjectEdge : IDisposable
    {
        static private volatile CovidEuropeProjectEdge annaConfs;
		private static readonly object agentsRoot = new Object();
        public SharedCacheService SharedCache { get; private set; }

        public QueueHandler AgentQueueHandler { get; private set; }

        public bool SystemLoadingComplete { get; set; }

        CovidEuropeProjectEdge()
        {
            SharedCache = new SharedCacheService();
			AgentQueueHandler = new QueueHandler(SharedCache, GetAgentFacade);
            AgentQueueHandler.StartQueue(AnnaCoreUtils.GetEnvironmentVariable(AnnaCoreConsts.DASSISTANTID).ToInt());
        }

        public void Init() { }

		public static IVirtualEmployeeFacade GetAgentFacade(string merchantId, string customerIdOrChatId = null)
        {
            return new CovidEuropeProjectFacade();
        }

        /// <summary>
        /// Singleton of the employee edge 
        /// </summary>
        public static CovidEuropeProjectEdge Instance
        {
            get
            {
                if (annaConfs == null)
                {
                    lock (agentsRoot)
                    {
                        if (annaConfs == null)
                        {
                            annaConfs = new CovidEuropeProjectEdge()
							{
                                SystemLoadingComplete = true
                            };
                        }
                    }
                }
                return annaConfs;
            }
        }

        private bool disposedValue = false;

        protected virtual void Dispose(bool disposing)
        {
            if (!disposedValue)
            {
                if (disposing)
                {
                    SharedCache.Dispose();
                    AgentQueueHandler.Dispose();
                }
                disposedValue = true;
            }
        }

        public void Dispose()
        {
            Dispose(true);
        }
    }
}

