using Automaise.Core.Session;
using Automaise.Core.Utils;
using Automaise.Flows.IntentWorkers.ActionSteps;
using CovidEuropeProjectBase;

namespace CovidEuropeProjectEdge.CovidEuropeProject.Workers
{
    public class StepDistrictsV2 : ActionStepEntityBase
    {
        public const string Id = "FIELD_DISTRICTS";
        public override string StepId { set; get; } = Id;
        public const string Name = "Distritos";
        public override AutoDictionary<string, string> StepLabel { get; set; } = new AutoDictionary<string, string> { { "pt", Name } };

        private ICovidEuropeProjectInterface ExternalConnector { set; get; }
        public override string EntityVariableName { get; set; } = "Distritos";
        public override AutoDictionary<string, string> OptionButtonLabel { get; set; } = new AutoDictionary<string, string> { { "pt", "Selecionar Distrito" } };
        public override bool Multichoice { get; set; } = false;
        public override bool ShowInlineOptions { get ; set; } = true;

        public StepDistrictsV2(AnnaSession session) : base(session)
        {
            DisplayMessage = "Nos ltimos 14 dias, em que distrito passou a maior parte do tempo?";
            AutoOpenWebView = true;
            ExternalConnector = session.EmployeeFacade.ExternalConnectorsFactory<ICovidEuropeProjectInterface>(session, CovidEuropeProjectConsts.VIRTUAL_EMPLOYEE_ID);
            ErrorMessage = "Distrito invlido";
        }
    }
}
