using Automaise.Core.Entities.Flows;
using Automaise.Core.Localizations;
using Automaise.Core.Session;
using Automaise.Core.Utils;
using Automaise.Flows.IntentWorkers.ActionSteps;
using Automaise.Flows.Utils;
using CovidEuropeProjectBase;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace CovidEuropeProjectEdge.CovidEuropeProject.Workers
{
    public class StepSendScreeningData : ActionStepBase
    {
        public static string Id { get; set; } = "FIELD_SENDSCREENINGDATA";
        public override string StepId { set; get; } = Id;
        public override AutoDictionary<string, string> StepLabel { get; set; } = new AutoDictionary<string, string> { { "pt", "Enviar dados para avaliao" } };
        public override bool StepIsInput { get; set; } = false;

        private ICovidEuropeProjectInterface ExternalConnector { set; get; }

        public StepSendScreeningData(AnnaSession session) : base(session)
        {
            ExternalConnector = session.EmployeeFacade.ExternalConnectorsFactory<ICovidEuropeProjectInterface>(session, CovidEuropeProjectConsts.VIRTUAL_EMPLOYEE_ID);
        }

        public override Task<List<StepResult>> GetStepQueryMessage(WorkerStatus workerStatus)
        {
            List<StepResult> listResults = new List<StepResult>();

            StepResult result = new StepResult
            {
                Message = "J temos a informao necessria. Deseja envi-la, de modo a avaliarmos a sua situao?"
            };

            result.HorizontalButtons.Add(
                StepResultUtils.CreateHButton(
                    Session.IntentControl,
                    CommonLocResources.Resources.YES,
                    Id,
                    new List<string> { CovidEuropeProjectConsts.BKT_YES }));

            result.HorizontalButtons.Add(
                StepResultUtils.CreateHButton(
                    Session.IntentControl,
                    CommonLocResources.Resources.NO,
                    Id,
                    new List<string> { CovidEuropeProjectConsts.BKT_NO }));

            listResults.Add(result);

            return Task.FromResult(listResults);
        }
    }
}
