using Automaise.Core.Session;
using Automaise.Core.Utils;
using Automaise.Flows.Base.ActionSteps;
using CovidEuropeProjectConnector.Localizations;
using System;

namespace CovidEuropeProjectEdge.CovidEuropeProject.Workers
{
    public class StepContactDays : StepNumberBase
    {
        public static string Id = "FIELD_CONTACT_DAYS";
        public override string StepId { set; get; } = Id;
        public override AutoDictionary<string, string> StepLabel { get; set; } = new AutoDictionary<string, string> { { "pt", "Data do contacto" },
                                                                                                                      { "es", "Fecha de contacto" },
                                                                                                                      { "en", "Contact date" },
                                                                                                                      { "fr", "Date du Contact" },
                                                                                                                      { "de", "Kontakt Datum" } };
        public override bool StepIsInput { get; set; } = false;

        public StepContactDays(AnnaSession session) : base(session)
        {
            DisplayMessage = CovidEuropeProjectLocResources.Resources.CONTACTDAYS;
            ErrorMessage = CovidEuropeProjectLocResources.Resources.INVALIDCONTACTDAYS;
            MinValue = 1;
            MaxValue = (DateTime.Now - new DateTime(2020, 3, 1)).Days;
        }
    }
}