using Automaise.Core.Entities.Flows;
using Automaise.Core.Localizations;
using Automaise.Core.Session;
using Automaise.Core.Utils;
using Automaise.Flows.IntentWorkers.ActionSteps;
using Automaise.Flows.Utils;
using CovidEuropeProjectBase;
using CovidEuropeProjectConnector.Localizations;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace CovidEuropeProjectEdge.CovidEuropeProject.Workers
{
    public class StepFever : ActionStepBase
    {
        public static string Id { get; set; } = "FIELD_FEVER";
        public override string StepId { set; get; } = Id;
        public override AutoDictionary<string, string> StepLabel { get; set; } = new AutoDictionary<string, string> { { "pt", "Febre" },
                                                                                                                      { "es", "Fiebre" },
                                                                                                                      { "en", "Fever" },
                                                                                                                      { "fr", "Fivre" },
                                                                                                                      { "de", "Fieber" } };
        public override bool StepIsInput { get; set; } = false;

        public StepFever(AnnaSession session) : base(session) { }

        public override Task<List<StepResult>> GetStepQueryMessage(WorkerStatus workerStatus)
        {
            List<StepResult> listResults = new List<StepResult>();

            StepResult result = new StepResult
            {
                Message = CovidEuropeProjectLocResources.Resources.FEVER
            };

            result.HorizontalButtons.Add(
                StepResultUtils.CreateHButton(
                    Session.IntentControl,
                    CommonLocResources.Resources.YES,
                    Id,
                    new List<string> { CovidEuropeProjectConsts.BKT_TRUE },
                    MainIntents.AutomationFlow,
                    new List<FlowIntents> { FlowIntents.Yes }));

            result.HorizontalButtons.Add(
                StepResultUtils.CreateHButton(
                    Session.IntentControl,
                    CommonLocResources.Resources.NO,
                    Id,
                    new List<string> { CovidEuropeProjectConsts.BKT_FALSE },
                    MainIntents.AutomationFlow,
                    new List<FlowIntents> { FlowIntents.No }));

            listResults.Add(result);

            return Task.FromResult(listResults);
        }
    }
}
