using Automaise.Core.Session;
using Automaise.Core.Utils;
using Automaise.Flows.IntentWorkers.ActionSteps;
using CovidEuropeProjectConnector.Localizations;
using System.Collections.Generic;

namespace CovidEuropeProjectEdge.CovidEuropeProject.Workers
{
    public class StepGender : ActionStepEntityBase
    {
        public const string Id = "FIELD_GENDER";
        public override string StepId { set; get; } = Id;
        public const string Name = "Gnero";
        public override AutoDictionary<string, string> StepLabel { get; set; } = new AutoDictionary<string, string> { { "pt", "Gnero" },
                                                                                                                      { "en", "Gender" },
                                                                                                                      { "es", "Gnero" },
                                                                                                                      { "fr", "Sexe" },
                                                                                                                      { "de", "Geschlecht" } };
        public override string EntityVariableName { get; set; } = "Gender";
        public override AutoDictionary<string, string> OptionButtonLabel { get; set; } = new AutoDictionary<string, string> { { "pt", CovidEuropeProjectLocResources.Resources.SELECTGENDER } };
        public override bool Multichoice { get; set; } = false;
        public override bool ShowInlineOptions { get; set; } = true;
        public override bool FilterByMerchantId { get; set; } = false;

        public StepGender(AnnaSession session) : base(session)
        {
            DisplayMessage = CovidEuropeProjectLocResources.Resources.ENTERGENDER;
            ErrorMessage = CovidEuropeProjectLocResources.Resources.INVALIDGENDER;
            StepSynonyms.Add("pt", new List<string> { "sexo" });
            AutoOpenWebView = true;
        }
    }
}
