using Automaise.Core.Entities.Flows;
using Automaise.Core.Session;
using Automaise.Core.Utils;
using Automaise.Flows.Base.ActionSteps;
using Automaise.Flows.Utils;
using CovidEuropeProjectConnector.Localizations;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace CovidEuropeProjectEdge.CovidEuropeProject.Workers
{
    public class StepGlobalInterference : StepNumberBase
    {
        public static string Id = "FIELD_GLOBAL_INTERFERENCE";
        public override string StepId { set; get; } = Id;
        public override AutoDictionary<string, string> StepLabel { get; set; } = new AutoDictionary<string, string> { { "pt", "Interferncia global dos sintomas" },
                                                                                                                      { "en", "Overall symptom interference" },
                                                                                                                      { "es", "Interferencia global de los sntomas" },
                                                                                                                      { "fr", "Interfrence globale des symptmes" },
                                                                                                                      { "de", "Allgemeine Strungen symptom" } };
        public override bool StepIsInput { get; set; } = false;

        public StepGlobalInterference(AnnaSession session) : base(session)
        {
            ErrorMessage = CovidEuropeProjectLocResources.Resources.INVALIDNUMBER;
            MinValue = 1;
            MaxValue = 10;
        }

        public override Task<List<StepResult>> GetStepQueryMessage(WorkerStatus workerStatus)
        {
            List<StepResult> results = new List<StepResult>();

            StepResult result = new StepResult
            {
                Message = CovidEuropeProjectLocResources.Resources.GLOBALINTERFERENCE
            };

            for (int i = 1; i <= 10; i++)
            {
                result.HorizontalButtons.Add(
                    StepResultUtils.CreateHButton(
                        Session.IntentControl,
                        $"{i}",
                        Id,
                        new List<string> { i.ToString() }));
            }

            results.Add(result);

            return Task.FromResult(results);
        }
    }
}