using Automaise.Core.Entities.Flows;
using Automaise.Core.Localizations;
using Automaise.Core.Session;
using Automaise.Core.Utils;
using Automaise.Flows.IntentWorkers.ActionSteps;
using Automaise.Flows.Utils;
using CovidEuropeProjectBase;
using CovidEuropeProjectConnector.Localizations;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace CovidEuropeProjectEdge.CovidEuropeProject.Workers
{
    public class StepSuspectContact : ActionStepBase
    {
        public static string Id = "FIELD_SUSPECT_CONTACT";
        public override string StepId { set; get; } = Id;
        public override AutoDictionary<string, string> StepLabel { get; set; } = new AutoDictionary<string, string> { { "pt", "Contacto com suspeito" },
                                                                                                                      { "en", "Contact with suspect" },
                                                                                                                      { "es", "Contacto con sospechoso" },
                                                                                                                      { "fr", "Contact avec un suspect" },
                                                                                                                      { "de", "Kontakt mit verdchtigen" } };
        public override bool StepIsInput { get; set; } = false;

        public StepSuspectContact(AnnaSession session) : base(session) { }

        public override Task<List<StepResult>> GetStepQueryMessage(WorkerStatus workerStatus)
        {
            List<StepResult> listResults = new List<StepResult>();

            StepResult result = new StepResult
            {
                Message = CovidEuropeProjectLocResources.Resources.SUSPECTCONTACT
            };

            result.HorizontalButtons.Add(
                StepResultUtils.CreateHButton(
                    Session.IntentControl,
                    CommonLocResources.Resources.YES,
                    Id,
                    new List<string> { CovidEuropeProjectConsts.BKT_YES },
                    MainIntents.AutomationFlow,
                    new List<FlowIntents> { FlowIntents.Yes }));

            result.HorizontalButtons.Add(
                StepResultUtils.CreateHButton(
                    Session.IntentControl,
                    CommonLocResources.Resources.NO,
                    Id,
                    new List<string> { CovidEuropeProjectConsts.BKT_NO },
                    MainIntents.AutomationFlow,
                    new List<FlowIntents> { FlowIntents.No, FlowIntents.Goodbye }));

            listResults.Add(result);

            return Task.FromResult(listResults);
        }
    }
}