using Automaise.Core.Session;
using Automaise.Core.Utils;
using Automaise.Flows.IntentWorkers.ActionSteps;
using CovidEuropeProjectConnector.Localizations;

namespace CovidEuropeProjectEdge.CovidEuropeProject.Workers
{
    public class StepSymptoms : ActionStepEntityBase
    {
        public const string Id = "FIELD_SYMPTOMS";
        public override string StepId { set; get; } = Id;
        public const string Name = "Sintomas";
        public override AutoDictionary<string, string> StepLabel { get; set; } = new AutoDictionary<string, string> { { "pt", "Sintomas" },
                                                                                                                      { "en", "Symptoms" },
                                                                                                                      { "es", "Sntomas" },
                                                                                                                      { "fr", "Symptmes" },
                                                                                                                      { "de", "Symptoms" } };

        public override string EntityVariableName { get; set; } = "Symptoms";
        public override AutoDictionary<string, string> OptionButtonLabel { get; set; } = new AutoDictionary<string, string> { { "pt", "Indicar sintomas" },
                                                                                                                              { "en", "Indicate symptoms" },
                                                                                                                              { "es", "Indique los sntomas" },
                                                                                                                              { "fr", "Indiquez les symptmes" },
                                                                                                                              { "de", "Symptome angeben" } };
        public override bool Multichoice { get; set; } = true;
        public override bool ShowInlineOptions { get ; set; } = false;
        public override bool FilterByMerchantId { get; set; } = false;

        public StepSymptoms(AnnaSession session) : base(session)
        {
            DisplayMessage = CovidEuropeProjectLocResources.Resources.ENTERSYMPTOMS;
            ErrorMessage = CovidEuropeProjectLocResources.Resources.INVALIDSYMPTOM;
        }
    }
}
