using Automaise.Core.DbEntities;
using Automaise.Core.Entities;
using Automaise.Core.Interfaces;
using Automaise.Core.Services;
using CovidEuropeProjectEdge.CovidEuropeProject;
using static Automaise.Core.Services.Logger;

namespace CovidEuropeProjectEdge
{
    /// <summary>
    /// GENERATED CODE. DO NOT EDIT.
    /// Initializes the digital agent
    /// </summary>
    public class GetAgentsFacade
    {
        /// <summary>
        /// Method invoked to initialize the digital agent
        /// </summary>
        /// <param name="merchantId">Merchant Id</param>
        /// <param name="customerId">User/customer Id</param>
        /// <returns>Returns the virtual employee</returns>
        public static IVirtualEmployeeFacade DigitalAgentFacade(string merchantId, string customerId = null)
        {
            IVirtualEmployeeFacade facade = null;
            Merchant merchant = null;

            if (!string.IsNullOrWhiteSpace(merchantId))
                merchant = LocalCacheService.Instance.GetMerchant(merchantId);

            facade = new CovidEuropeProjectFacade();

            LOG(LogLevel.eInfo, null, "DigitalAgentsFactory: initialized digital agent {0} for merchantId {1}", facade.ToString(), merchant?.MerchantId);

            return facade;
        }
    }
}

